#!/usr/bin/env python
# coding: utf-8

# for use with Modern Wage Dynamics Model
# version 1.0.0
#
# June 2022  
# J M Applegate
#
# contains market functions, called by main.py
#
import numpy as np

def aggregate_effort(H_S, H_D, H, e):
    if H_S > H_D:
        H_W = H_D / H_S * H
    else:
        H_W = H
    N = np.dot(e, H_W)
    return N, H_W

def sell_sugar(S_S, S_D, S):
    if S_S <= S_D:
        S_C = S_S / S_D * S
    else:
        S_C = S
    return S_C